.\" {PTM/LK/0.1/30-09-1998/"zarzdzanie plikami crontab uytkownikw"}
.\" Tumaczenie: 30-09-1998 ukasz Kowalczyk (lukow@tempac.okwf.fuw.edu.pl)
.\"/* Copyright 1988,1990,1993 by Paul Vixie
.\" * All rights reserved
.\" *
.\" * Distribute freely, except: don't remove my name from the source or
.\" * documentation (don't take credit for my work), mark your changes (don't
.\" * get me blamed for your possible bugs), don't alter or remove this
.\" * notice.  May be sold if buildable source is provided to buyer.  No
.\" * warrantee of any kind, express or implied, is included with this
.\" * software; use at your own risk, responsibility for damages (if any) to
.\" * anyone resulting from the use of this software rests entirely with the
.\" * user.
.\" *
.\" * Send bug reports, bug fixes, enhancements, requests, flames, etc., and
.\" * I'll try to keep a version up to date.  I can be reached as follows:
.\" * Paul Vixie          <paul@vix.com>          uunet!decwrl!vixie!paul
.\" */
.\"
.\" $Id$
.\"
.TH crontab 1 "29 grudnia 1993"
.UC 4
.SH NAZWA
crontab \- zarzdzanie plikami crontab nalecymi do uytkownikw (V3)
.SH SKADNIA
crontab [ -u nazwa_uytkownika ] plik
.br
crontab [ -u nazwa_uytkownika ] { -l | -r | -e }
.SH OPIS
.I crontab 
jest programem sucym do instalacji, deinstalacji lub
ogldania zawartoci tabel uywanych przez demon cron z pakietu Vixie Cron.
Kady uytkownik moe posiada wasn tabel. Tabele cron s plikami
przechowywanymi w katalogu /var lecz nie powinny by bezporednio
modyfikowane.
.PP
Jeeli istnieje plik
.IR allow ,
uytkownik musi by w nim wymieniony, by mie moliwo uywania polecenia
.IR crontab .
Jeeli nie istnieje plik
.I allow
lecz istnieje plik
.IR deny ,
uytkownik \fBnie\fR moe by w nim wymieniony, by uywa tego polecenia.
Jeeli nie istnieje aden z tych plikw, wwczas dostpno polecenia zaley
od ustawie konkretnego systemu. Moliwa jest zarwno sytuacja, kiedy kady
uytkownik ma dostp do tego polecenia, jak i sytuacja, kiedy dostp do niego
ma tylko administrator.
.PP
Jeeli podana zostanie opcja
.IR -u ,
okrela ona uytkownika, ktrego tabele cron maj by modyfikowane. Jeeli
ta opcja nie jest podana, modyfikowane bd tabele nalece do uytkownika
uruchamiajcego program. Zauwa, e polecenie 
.IR su (8)
moe zdezorientowa program
.IR crontab .
Jeeli uruchamiasz
.I crontab
po wydaniu polecenia 
.IR su ,
powiniene zawsze uywa opcji 
.I \-u
ze wzgldw bezpieczestwa.
.PP
Pierwsza forma wywoywania programu
.I crontab
suy do utworzenia nowej tabeli na podstawie podanego pliku lub danych
pobranych ze standardowego wejcia, jeeli podana zostanie pseudo-nazwa pliku
``-''.
.PP
Opcja 
.I -l
powoduje wypisanie biecej tabeli na standardowym wyjciu.
.PP
Opcja 
.I -r
usuwa biec tabel.
.PP
Opcja
.I -e
suy do modyfikacji biecej tabeli przy pomocy edytora, ktrego nazwa
znajduje si w jednej ze zmiennych rodowiskowych
\s-1VISUAL\s+1 lub \s-1EDITOR\s+1. Po opuszczeniu edytora zmodyfikowana
tabela zostanie automatycznie zainstalowana.
.SH "ZOBACZ TAKE"
crontab(5), cron(8)
.SH PLIKI
.nf
/etc/cron.allow
/etc/cron.deny
.fi
.SH STANDARDY
Polecenie
.I crontab
jest zgodne ze standardem IEEE Std1003.2-1992 (``POSIX'').  
Nowa skadnia polecenia rni si od skadni uywanej przez poprzednie
wersje Vixie Cron, jak rwnie od klasycznej skadni V3.
.SH DIAGNOSTYKA
Po uruchomieniu programu z bdn opcj pojawi si zrozumiay opis
popenionego bdu.
.SH AUTOR
.nf
Paul Vixie <paul@vix.com>
